PowerPoint3OLEInternal::State Struct Reference

Internal: the state of a PowerPoint3OLE. More...

## Public Member Functions

| State (MWAWInputStreamPtr input, int vers)
| constructor

## Public Attributes

MWAWInputStreamPtr | m_input
| the input
int | m_version
| the version
std::shared_ptr< MWAWOLEParser > | m_oleParser
| the ole parser
std::set< std::string > | m_unparsedNameSet
| the list of unparsed zone

## Detailed Description

Internal: the state of a PowerPoint3OLE.

## Constructor & Destructor Documentation

## State()

PowerPoint3OLEInternal::State::State | ( | MWAWInputStreamPtr | input,
|  | int | vers )

inline explicit

constructor

## Member Data Documentation

## m_input

MWAWInputStreamPtr PowerPoint3OLEInternal::State::m_input

the input

Referenced by State().

## m_oleParser

std::shared_ptr<MWAWOLEParser> PowerPoint3OLEInternal::State::m_oleParser

the ole parser

Referenced by State().

## m_unparsedNameSet

std::set<std::string> PowerPoint3OLEInternal::State::m_unparsedNameSet

the list of unparsed zone

Referenced by State().

## m_version

int PowerPoint3OLEInternal::State::m_version

the version

Referenced by State().

The documentation for this struct was generated from the following file:

- PowerPoint3OLE.cxx